[[local|localrc]]
RECLONE=False
HOST_IP=10.184.48.187

enable_plugin trove https://opendev.org/openstack/trove
enable_plugin trove-dashboard https://opendev.org/openstack/trove-dashboard

LIBS_FROM_GIT+=,python-troveclient
DATABASE_PASSWORD=password
ADMIN_PASSWORD=password

SERVICE_PASSWORD=password

SERVICE_TOKEN=password

RABBIT_PASSWORD=password
LOGFILE=$DEST/logs/stack.sh.log
VERBOSE=True
LOGDAYS=1

IPV4_ADDRS_SAFE_TO_USE=10.111.0.0/26
FIXED_RANGE=10.111.0.0/26
NETWORK_GATEWAY=10.111.0.1
FLOATING_RANGE=10.184.48.0/24
PUBLIC_NETWORK_GATEWAY=10.118.48.1

ENABLED_SERVICES=rabbit,mysql,key

#nova
enable_service horizon

#nova
enable_service n-api

enable_service n-cpu
enable_service n-cond
enable_service n-sch
enable_service n-api-meta
enable_service placement-api
enable_service placement-client

#GLANCE
enable_service g-api
enable_service g-reg

#cinder 
enable_service cinder
enable_service c-api
enable_service c-vol
enable_service c-sch

#Neutron

enable_service q-svc
 
enable_service q-agt
enable_service q-dhcp
enable_service q-l3
enable_service q-meta


#ENABLE DVR
Q_AGENT=openvswitch
Q_DVR_MODE=legacy
Q_ML2_PLUGIN_MECHANISM_DRIVERS=openvswitch
Q_ML2_TENANT_NETWORK_TYPE=vxlan
Q_PLUGIN=ml2

#swift 
ENABLED_SERVICES+=,swift
SWIFT_HASH=66a3d6b56c1f479c8b4e70ab5c2000f5
SWIFT_REPLICAS=1


